Summary: GLUI User interface Library
Name: glui
Version: 1.01
Release: 1
Group: Development/Libraries
Url: http://www.cs.unc.edu/~rademach/glui
Source: ftp://ftp.cs.unc.edu/pub/users/rademach/glui/glui.tar.gz 
Patch: glui-1.01.patch
Copyright: Freely distributable, AS-IS, no warrenty.
Buildroot: /var/tmp/glui-root

%description
GLUI is a GLUT-based C++ user interface library which provides
controls such as buttons, checkboxes, radio buttons, and spinners
to OpenGL applications. It is window-system independent, relying
on GLUT to handle all system-dependent issues, such as window and
mouse management.

%prep
%setup -n glui
%patch -p2

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/glui
mkdir -p $RPM_BUILD_ROOT/usr/lib/glui-1.01/examples
cp lib/*.a $RPM_BUILD_ROOT/usr/lib
cp *.h $RPM_BUILD_ROOT/usr/include/glui
cp example?.cpp bin/* $RPM_BUILD_ROOT/usr/lib/glui-1.01/examples

%clean
rm -r $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc readme glui_manual.pdf
/usr/include/glui/*.h
/usr/lib/*.a
/usr/lib/glui-1.01/examples/*

%changelog
* Sun Nov 14 1999 Stephen Kennedy <steve@maths.tcd.ie>
- initial revision
